> ## Documentation Index
> Fetch the complete documentation index at: https://docs.toku.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Update Selected Employees

> Replaces the selectedEmployeeIds array on a legacy Payroll row.

Not available to API keys.

## OpenAPI

````yaml api-reference/openapi.json POST /stablecoin-payroll/update-selected-employees
openapi: 3.1.0
info:
  title: Toku API
  version: 1.0.0
servers:
  - url: https://api.toku.com
security:
  - bearerAuth: []
paths:
  /stablecoin-payroll/update-selected-employees:
    post:
      operationId: updateSelectedEmployees
      summary: Update Selected Employees
      description: |-
        Replaces the selectedEmployeeIds array on a legacy Payroll row.

        Not available to API keys.
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/UpdateSelectedEmployeesRequest'
      responses:
        '200':
          description: Successful response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/UpdateSelectedEmployeesResponse'
        '400':
          description: Bad request
        '401':
          description: Unauthorized
        '403':
          description: Forbidden
        '404':
          description: Not found
        '409':
          description: Conflict
        '429':
          description: Response 429
components:
  schemas:
    UpdateSelectedEmployeesRequest:
      type: object
      properties:
        payrollId:
          type: string
          minLength: 1
          maxLength: 200
        selectedEmployeeIds:
          type: array
          items:
            type: string
            minLength: 1
            maxLength: 200
          maxItems: 10000
      required:
        - payrollId
        - selectedEmployeeIds
    UpdateSelectedEmployeesResponse:
      type: object
      properties:
        selectedEmployeeIds:
          type: array
          items:
            type: string
      required:
        - selectedEmployeeIds
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
````
